local ent = ents.Derive("base")
level = 0

function ent:load( x, y )
	self:setPos( x, y )
	self.image = love.graphics.newImage("textures/boy.png")
end

function ent:resetPos( x, y)
    self:setPos( x, y )
end

function ent:setSize( w, h )
	self.w = w
	self.h = h
end

function ent:getSize()
	return self.w, self.h;
end

function ent:update(dt)
    local x, y = self:getPos()

    if love.keyboard.isDown("up") and y > 173 then
        self:setPos( x, y - 2 )
    end

    if y < 173 then
        level = 1
    end
end

function ent:draw()
	local x, y = self:getPos()
	local w, h = self:getSize()

	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.draw( self.image, self.x, self.y, 0, self.size, self.size, 0, 0 )
end

return ent;