local ent = ents.Derive("base")

function ent:load( x, y )
	self:setPos( x, y )
end

function ent:setText( text )
    self.text = text
end

function ent:resetPos( x, y)
    self:setPos( x, y )
end

function ent:setSize( w, h )
	self.w = w
	self.h = h
end

function ent:getSize()
	return self.w, self.h;
end

function ent:update(dt)
end

function ent:draw()
	local x, y = self:getPos()
	local w, h = self:getSize()

    if self.text then
        love.graphics.setColor(0, 255, 0, 255)
        love.graphics.print( self.text, x, y)
    end
end

return ent;