local ent = ents.Derive("base")

function ent:load( x, y )
	self:setPos( x, y )
	self.image = love.graphics.newImage("textures/girl.png")
end

function ent:setSize( w, h )
	self.w = w
	self.h = h
end

function ent:getSize()
	return self.w, self.h;
end

function ent:update(dt)
end

function ent:draw()
	local x, y = self:getPos()
	local w, h = self:getSize()

	love.graphics.setColor( 255, 255, 255, 255 )
	love.graphics.draw( self.image, self.x, self.y, 0, self.size, self.size, 0, 0 )
end

return ent;